package example.tistory.whdghks913.crouton;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.Spinner;

import com.tistory.whdghks913.croutonhelper.CroutonHelper;

import de.keyboardsurfer.android.widget.crouton.Style;

public class MainActivity extends Activity {
    Spinner mStyleSpinner;
    EditText mToastText, mToastSecond, mTextColor, mTextSize, mBackgroundColor;
    CheckBox mDisplayUp, mInfinity, mAutoHide, mImage;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mStyleSpinner = (Spinner) findViewById(R.id.mStyle);
        mToastText = (EditText) findViewById(R.id.mToastText);
        mToastSecond = (EditText) findViewById(R.id.mToastSecond);
        mTextColor = (EditText) findViewById(R.id.mTextColor);
        mTextSize = (EditText) findViewById(R.id.mTextSize);
        mBackgroundColor = (EditText) findViewById(R.id.mBackgroundColor);
        mDisplayUp = (CheckBox) findViewById(R.id.mDisplayUp);
        mInfinity = (CheckBox) findViewById(R.id.mInfinity);
        mAutoHide = (CheckBox) findViewById(R.id.mAutoHide);
        mImage = (CheckBox) findViewById(R.id.mImage);
    }

    public void showBtn(View view) {
        CroutonHelper mHelper = new CroutonHelper(this);

        mHelper.setText(mToastText.getText().toString().trim());
        mHelper.setDuration(mToastSecond.getText().toString().trim());

        Style mStyle = getStyle();
        if (mStyle == null && mStyleSpinner.getSelectedItemPosition() == 3)
            mHelper.setCustomView(R.layout.crouton_custom_view);
        else
            mHelper.setStyle(getStyle());

        if (!mDisplayUp.isChecked())
            mHelper.setViewResId(R.id.alternate_view_group);

        if (mInfinity.isChecked())
            mHelper.setInfinity(true);

        if (mImage.isChecked())
            mHelper.setImageResource(R.drawable.ic_launcher);

        String textColor = mTextColor.getText().toString().trim();
        if (!"".equals(textColor))
            mHelper.setTextColor(textColor);

        String backgroundColor = mBackgroundColor.getText().toString().trim();
        if (!"".equals(backgroundColor))
            mHelper.setBackgroundColor(backgroundColor);

        String textSize = mTextSize.getText().toString().trim();
        if (!"".equals(textSize))
            mHelper.setTextSize(Integer.parseInt(textSize));

        // mHelper.setTextAppearance(android.R.attr.textAppearanceMedium);
        if (mAutoHide.isChecked())
            mHelper.setAutoTouchCencle(true);

        mHelper.show();
    }

    public Style getStyle() {
        if (mStyleSpinner.getSelectedItemPosition() == 0) {
            return Style.ALERT;
        } else if (mStyleSpinner.getSelectedItemPosition() == 1) {
            return Style.CONFIRM;
        } else if (mStyleSpinner.getSelectedItemPosition() == 2) {
            return Style.INFO;
        }

        return null;
    }
}
